Bug 143263 - check-in after working offline kills inbox
Summary: check-in after working offline kills inbox
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: disconnected IMAP (show other bugs)
Version: 1.9.5
Platform: Ubuntu Linux
: NOR grave with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-20 17:18 UTC by Stephan Herrmann
Modified: 2016-10-16 17:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Herrmann 2007-03-20 17:18:12 UTC
Version:           1.9.5 (using KDE KDE 3.5.5)
Installed from:    Ubuntu Packages
OS:                Linux

Kmail deletes all mails from an inbox.
Steps to reproduce:
- work on a client machine with kmail configured for dimap
- switch to "offline" mode
- on the server use another client and delete a message from inbox
  (I use pine as a workaround for the most infamous unresolved wish
   http://bugs.kde.org/show_bug.cgi?id=17513 ).
  when terminating the client actually perform the deletion.
- on the client machine click on "Check Mail In"
  This pops up a question, asking me if I want to go online.
  answer by clicking "Online"
=> The inbox on that client machine is wiped completely. ALL MESSAGES DISCARDED.

The first time this happened to me, I couldn't believe what I saw, and
clicked "Check Mail In" for a second time: The worst mistake I made in years:
Consequence: the delete events were propagated to the server resulting in
irrecoverable loss of all messages in the inbox on the server, too.
Comment 1 Martin Koller 2009-08-25 23:24:06 UTC
Can you still reproduce this with a current version of KDE (4.3) ?
Comment 2 Stephan Herrmann 2016-10-16 16:07:46 UTC
(In reply to Martin Koller from comment #1)
> Can you still reproduce this with a current version of KDE (4.3) ?

That kind of catastrophe you don't want to reproduce in your life time.

Feel free to close. 

After seeing no action for some years I had no other option than moving away from kmail. I liked it back then, but deleting inbox is unforgivable, if you ask me.
Comment 3 Laurent Montel 2016-10-16 17:06:27 UTC
You never gave info from 2009
so for sure we can't help you.
And for sure all code changed from 2009
Regards